<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Form con tabla</title>
</head>

<body>
    <form action="">
        <fieldset>
            <legend>Datos básicos</legend>
            <label for="nombre">Nombre:</label>
            <br>
            <input type="text" name="nombre" id="nombre">
            <br>
            <label for="desc">Descripción:</label>
            <br>
            <textarea name="desc" id="desc" cols="30" rows="10"></textarea>
            <br>
            <label for="foto">Foto:</label>
            <input type="file" name="foto" id="foto">

            <br>
            <br>
            <input type="checkbox" name="visitas" id="visitas">
            <label for="visitas">Añadir contador de visitas</label>
        </fieldset>

        <fieldset>
            <legend>Datos económicos:</legend>
            <label for="precio">Precio</label>
            <input type="number" name="precio" id="precio">€
            <label for="impuestos">Impuestos:</label>
            <input type="number" name="impuestos" id="impuestos">%

            <p>Promoción</p>
            <input type="radio" name="ninguno" id="ninguno">
            <label for="ninguno">Ninguno</label>
            <br>
            <input type="radio" name="gratuito" id="gratuito">
            <label for="gratuito">Transporte gratuito</label>
            <br>
            <input type="radio" name="descuento" id="descuento">
            <label for="descuento">Descuento 5%</label>
        </fieldset>
    </form>

    <table data-años="3" data-productos="4" data-nombre="productos" data-titulo="Ventas anuales" id="tabla">
        <tr>
            <th rowspan="2">Año</th>
            <th colspan="5">Expansión de ventas</th>
        </tr>
        <tr>
            <th>Producto A</th>
            <th>Producto B</th>
            <th>Producto C</th>
            <th>Producto D</th>
        </tr>
        <tr>
            <td>N-3</td>
            <td>-</td>
            <td>-</td>
            <td>-</td>
            <td>-</td>
        </tr>
        <tr>
            <td>N-2</td>
            <td>3</td>
            <td>5</td>
            <td>8</td>
            <td>4</td>
        </tr>
        <tr>
            <td>N-1</td>
            <td>4</td>
            <td>4</td>
            <td>7</td>
            <td>3</td>
        </tr>
        <tr>
            <td>N</td>
            <td>5</td>
            <td>7</td>
            <td>6</td>
            <td>2</td>
        </tr>
        <tr>
            <th rowspan="2">Año</th>
            <th>Producto A</th>
            <th>Producto B</th>
            <th>Producto C</th>
            <th>Producto D</th>
        </tr>
        <tr>
            <th colspan="5">Expansión de ventas</th>
        </tr>
    </table>
</body>
<script>
    const tabla = document.querySelector("#tabla");
    console.log(tabla.dataset)
</script>
<style>
    table,
    th,
    td {
        border: 1px solid black;
    }
</style>

</html>